# QStyleOptionViewItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionViewItem()
- void QStyleOptionViewItem(QStyleOptionViewItem other)

### Constructor Properties

- prototype: The QStyleOptionViewItem prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_ViewItem
- StyleOptionType( value )
- Left
- Right
- Top
- Bottom
- Position( value )

### Instance Properties

QStyleOptionViewItem objects have no special properties beyond those inherited from the QStyleOptionViewItem prototype object.